Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.run.xml
Class SerializableAdapter

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.BitHelper
com.tangosol.util.ExternalizableHelper
com.tangosol.run.xml.PropertyAdapter
com.tangosol.run.xml.SerializableAdapter`

All Implemented Interfaces:
  java.io.Serializable

      public class SerializableAdapter

extends PropertyAdapter

A SerializableAdapter supports Java objects that implement the Serializable interface.

Version:
  1.00 2001.03.13
Author:
  cp

Field Summary

Fields inherited from class com.tangosol.run.xml.PropertyAdapter
`m_clzType, m_fAttribute, m_infoBean, m_methodClone, m_methodGet, m_methodSet, m_sName, m_sNmsPrefix, m_sNmsUri, m_sXml, NOPARAMS`

Constructor Summary
`SerializableAdapter(XmlBean.BeanInfo infoBean, java.lang.Class clzType, java.lang.String sName, java.lang.String sXml, XmlElement xml)` Construct a SerializableAdapter.

Method Summary
`java.lang.Object` | `clone(java.lang.Object o)` Make a clone of the passed object.
`java.lang.Object` | `fromUri(java.lang.String sUri)` Deserialize an object from a URI element.
`java.lang.Object` | `fromXml(XmlElement xml)` Deserialize an object from an XML element.
`boolean` | `isCloneRequired()` Determine if the property value must be deep-cloned.
`java.lang.Object` | `readExternal(java.io.DataInput in)` Read a value from the passed DataInput object.
`java.lang.String` | `toUri(java.lang.Object o)` Serialize an object into a URI element.
`XmlElement` | `toXml(java.lang.Object o)` Serialize an object into an XML element.
`void` | `writeExternal(java.io.DataOutput out, java.lang.Object o)` Write the specified data to the passed DataOutput object.

Methods inherited from class com.tangosol.run.xml.PropertyAdapter
`equalsValue, findAttribute, findElement, get, getAccessor, getBeanInfo, getCloner, getElements, getLocalXmlName, getMutator, getName, getNamespacePrefix, getNamespaceUri, getType, getXmlName, hash, isAnonymous, isAttribute, isElementMatch, isEmpty, readXml, set, setNamespacePrefix, toString, writeXml`

Methods inherited from class com.tangosol.util.BitHelper
`countBits, countBits, countBits, indexOfLSB, indexOfLSB, indexOfLSB, indexOfMSB, indexOfMSB, indexOfMSB, rotateLeft, rotateLeft, rotateLeft, rotateRight, rotateRight, rotateRight, toBitString, toBitString, toBitString`

Constructor Detail

### SerializableAdapter

    public SerializableAdapter(XmlBean.BeanInfo infoBean,
                               java.lang.Class clzType,
                               java.lang.String sName,
                               java.lang.String sXml,
                               XmlElement xml)

  Construct a SerializableAdapter.
  Parameters:
    `infoBean` - BeanInfo for a bean containing this property
    `clzType` - the type of the property
    `sName` - the property name
    `sXml` - the XML tag name
    `xml` - additional XML information

Method Detail

### isCloneRequired

    public boolean isCloneRequired()

  Description copied from class: `PropertyAdapter`
  Determine if the property value must be deep-cloned. Typically, a property value must be deep-cloned if it is a mutable reference type, e.g. StringBuffer, Date, byte[].
  Specified by:
    `isCloneRequired` in class `PropertyAdapter`
  Returns:
    true if the property value must be "deep" cloned when the containing object is cloned

### clone

    public java.lang.Object clone(java.lang.Object o)

  Make a clone of the passed object.
  Overrides:
    `clone` in class `PropertyAdapter`
  Parameters:
    `o` - the object to clone
  Returns:
    a clone of the passed object

### fromXml

    public java.lang.Object fromXml(XmlElement xml)

  Deserialize an object from an XML element.
  Overrides:
    `fromXml` in class `PropertyAdapter`
  Parameters:
    `xml` - the XML element to deserialize from
  Returns:
    the object deserialized from the XML element

### toXml

    public XmlElement toXml(java.lang.Object o)

  Serialize an object into an XML element.
  Overrides:
    `toXml` in class `PropertyAdapter`
  Parameters:
    `o` - the object to serialize
  Returns:
    the XML element representing the serialized form of the passed object

### fromUri

    public java.lang.Object fromUri(java.lang.String sUri)

  Deserialize an object from a URI element.
  Overrides:
    `fromUri` in class `PropertyAdapter`
  Parameters:
    `sUri` - the URI element to deserialize from
  Returns:
    the object deserialized from the URI element
  Throws:
    `java.lang.UnsupportedOperationException` - if the property cannot be read from a URI element

### toUri

    public java.lang.String toUri(java.lang.Object o)

  Serialize an object into a URI element.
  Overrides:
    `toUri` in class `PropertyAdapter`
  Parameters:
    `o` - the object to serialize
  Returns:
    the URI element representing the serialized form of the passed object
  Throws:
    `java.lang.UnsupportedOperationException` - if the property cannot be written to a URI element

### readExternal

    public java.lang.Object readExternal(java.io.DataInput in)
                                  throws java.io.IOException

  Read a value from the passed DataInput object.
  Overrides:
    `readExternal` in class `PropertyAdapter`
  Parameters:
    `in` - the DataInput stream to read property data from
  Returns:
    the data read from the DataInput; may be null
  Throws:
    `java.io.IOException` - if an I/O exception occurs

### writeExternal

    public void writeExternal(java.io.DataOutput out,
                              java.lang.Object o)
                       throws java.io.IOException

  Write the specified data to the passed DataOutput object.
  Overrides:
    `writeExternal` in class `PropertyAdapter`
  Parameters:
    `out` - the DataOutput stream to write to
    `o` - the data to write to the DataOutput; never null
  Throws:
    `java.io.IOException` - if an I/O exception occurs

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.